## cascading
Class JoinFieldedPipesPlatformTest.AllComparator

    java.lang.Object
      cascading.JoinFieldedPipesPlatformTest.AllComparator

All Implemented Interfaces:
  Hasher<Comparable>, Serializable, Comparator<Comparable>

Enclosing class:
  JoinFieldedPipesPlatformTest

    public static class JoinFieldedPipesPlatformTest.AllComparator

extends Object
implements Comparator<Comparable>, Hasher<Comparable>, Serializable

See Also:
  Serialized Form

Constructor Summary
`JoinFieldedPipesPlatformTest.AllComparator()`

Method Summary
`int` `compare(Comparable lhs, Comparable rhs)`
`int` `hashCode(Comparable value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### JoinFieldedPipesPlatformTest.AllComparator

    public JoinFieldedPipesPlatformTest.AllComparator()

Method Detail

### compare

    public int compare(Comparable lhs,
                       Comparable rhs)

  Specified by:
    `compare` in interface `Comparator<Comparable>`

### hashCode

    public int hashCode(Comparable value)

  Specified by:
    `hashCode` in interface `Hasher<Comparable>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.